<template>
  <x-pwd :list="list" :value="pwd" :popup-offset="20">
    <a-input-password v-model="pwd" allow-clear />
  </x-pwd>
</template>

<script lang="ts" setup>
import { ref } from 'vue'

const pwd = ref('')

const list = [
  {
    label: '长度不少于8个字符',
    fn: (value) => value.split('').length >= 8,
  },
  {
    label: '密码必须是一个包含数字和字母的组合',
    fn: (value) => /^(?=.*[a-zA-Z])(?=.*\d)[a-zA-Z\d]+$/.test(value),
    tooltip: 'hello world'
  }
]
</script>

<style scoped lang="less"></style>
